curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/sync/inventory' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": "string",
"status": "queued",
"createdAt": "2026-08-31T14:22:05Z"
}
Trigger inventory sync across all platforms
Sync job queued
POST
/
v1
/
tenants
/
{tenant_id}
/
sync
/
inventory
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/sync/inventory' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": "string",
"status": "queued",
"createdAt": "2026-08-31T14:22:05Z"
}
Path parameters
string
required
Tenant identifier
Query parameters
string
Optional warehouse/location filter
string
Optional source filter (shopify, netsuite)
boolean
Force full sync instead of incremental
Response
object
string (uuid)
required
Unique job identifier
string
required
Type of background job
string
required
Current job status
string (date-time)
required
Job creation timestamp
Status codes
| Code | Meaning |
|---|---|
202 | Sync job queued |
401 | Unauthorized |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/sync/inventory' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": "string",
"status": "queued",
"createdAt": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026